package com.xunhong.erp.turbo.biz.domain.gateway;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxProductCreateCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxProductDestroyCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxProductDragCmd;
import com.xunhong.erp.turbo.api.biz.dto.cmd.BoxProductUpdateCmd;
import com.xunhong.erp.turbo.api.biz.dto.qry.BoxProductListQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.BoxProductPageQry;
import com.xunhong.erp.turbo.api.biz.dto.qry.BoxProductShowQry;
import com.xunhong.erp.turbo.biz.domain.entity.BoxProduct;

import java.util.List;

/**
 * @author shenyifei
 */
public interface BoxProductGateway {
	BoxProduct save(BoxProductCreateCmd boxProductCreateCmd);

	IPage<BoxProduct> page(BoxProductPageQry boxProductPageQry);

	List<BoxProduct> list(BoxProductListQry boxProductListQry);

	BoxProduct update(BoxProductUpdateCmd boxProductUpdateCmd);

	BoxProduct show(BoxProductShowQry boxProductShowQry);

	void destroy(BoxProductDestroyCmd boxProductDestroyCmd);

	void drag(BoxProductDragCmd boxProductDragCmd);
}
